# Hardware

The server configuration was chosen to best cover the various requirements. The budget of  XXX was too small to build a high-performance AI cluster and would also have been the wrong approach for this use case. This is because a configuration was needed where smaller AI models could be trained and deployed using GPU power, providing students with a platform on which to experiment/learn. Therefore, we opted for a rather unusual configuration with high performance CPU's, high performance GPU and a lot of Memory. With the help of the CPU, many students can experiment and gain initial experience. If the performance of the CPU's is no longer sufficient, you have the possibility to start a GPU image, in which a limited GPU capacity is available. If this is also no longer sufficient and you want to train your own model over several hours or days, for example, you can use Git and CI to write your own pipeline that allows you to train the model. However, this involves some technical effort and is therefore only recommended for scientific users. To ensure that this does not affect the normal training process or experiments of the students, it was necessary to ensure that there is always enough memory available for the A100 GPU to work correctly.

## Sandbox Server Configuration 

* PowerEdge R7525 Motherboard, 2HE
* 2x AMD 7543 2.8GHz,32C/64T,256M (Milan EPYC)
* 8 x 64GB RDIMM, 3200MT/s, Dual Rank
* 2 x 1.6TB SSD SAS ISE Mix Use 12Gbps 512e 2.5in
* 6 x 480GB SSD SATA Mix Use 6Gbps 512 2.5in
* 8 x 2.4TB 10K RPM SAS ISE 12Gbps 512e 2.5in
* 1 x Intel E810-XXV Dual Port 10/25GbE SFP28, OCP NIC 3.0
* 1 x NVIDIA Ampere A100, PCIe, 300W, 80GB Passive

## NAS 

NAS is located at https://ikarus.iuk.hdm-stuttgart.de 

xx tb backup HDD

tbd. 


## vserver Configuration

## Monitoring Server Configuration

## 