# Architecture Overview (mixed use->praesi)
The following scenarios can be derived for the system: on the one hand, the system is to be used for teaching and on the other hand, the system is to be used for training. 
Therefore, a mixed-use architecture is provided, which allows the system to be used for these two different requirements, hence following role concept has been designed: 

# Roles 

## User
* Teaching/Use Cases in the area of ethics, business and law.
* Assignments Editing
* Grading
* Provide examples / demos

## advanced User
* Teaching/Use Cases in the field of technology
* Tasks Editing
* Grading
* Provide/develop (own) examples/demos.

## scientific User
* Data generation using MAX
* GPU performance
* CI/CD/GIT
* Storage
* SANDBOX MM Platform

following technical requirements can be derived: 
* Sandbox NB for testing examples and editing tasks (GPU limit of 1GB per user).
* 1GB memory per user
* CPU 0.5/ limit 2
* Data provisioning by user:
  * REST-Interface
  * Git Large File Storage
  * Upload File inside Sandbox-NB (GUI)